Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet
Class WindowURL

    java.lang.Object
      com.bea.portlet.GenericURL
          com.bea.portlet.PostbackURL
              com.bea.portlet.WindowURL

All Implemented Interfaces
  Cloneable

Direct Known Subclasses:
  JspContentURL, StandalonePortletURL

    public class WindowURL

extends PostbackURL

The `WindowURL` helps portal applications create URLs to portlet windows, portal pages and books.

See Also
  `GenericURL`

Field Summary

Fields inherited from class com.bea.portlet.GenericURL
`COMMUNITY_ADMIN_FLAG_PARAM, COMMUNITY_DESKTOP, CONTROL_STATE_PARAM, CURRENT_PAGE, domain, DOMAIN, EVENT_NAME_PARAM, httpRequest, httpResponse, httpsDomain, LOADSTATE_PARAM, MODE_PARAM, PAGE_LABEL_PARAM, params, PATH, PORT, PORTLET_SUB_INSTANCE_ID, POSTBACK_PARAM, PREFIX, QUERY_STRING, SCHEME, SECURE_PORT, STATE_PARAM, TREE_OPTIMIZATION_PARAM, URL_COMPRESSION, WINDOW_LABEL_PARAM`

Constructor Summary
`protected` | `WindowURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse)` Constructs a WindowURL.
`protected` | `WindowURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse, String windowLabel)` Constructs a WindowURL.

Method Summary
`Object` | `clone()` Returns a deep copy.
`static WindowURL` | `createWindowURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse)` Returns a WindowURL from the current portlet.
`static WindowURL` | `createWindowURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse, String windowLabel)` Returns a WindowURL from the specified portlet.
`String` | `getWindowLabel()` Returns the window label.
`String` | `getWindowMode()` Returns a window mode.
`String` | `getWindowState()` Returns the window state.
`void` | `setWindowLabel(String windowLabel)`
`void` | `setWindowMode(String windowMode)` Sets a portlet window mode.
`void` | `setWindowState(String windowState)` Sets window state.

Methods inherited from class com.bea.portlet.PostbackURL
`createPostbackURL, toString`

Methods inherited from class com.bea.portlet.GenericURL
`addParameter, addParameter, addParameter, appendEnsureSeparator, appendEnsureSeparator, createGenericURL, createQueryString, createQueryStringBuilder, getContextualPath, getDomain, getEncodeSession, getParameter, getParameters, getPathPrefix, getPort, getResolvedTemplate, getScheme, getSecurePort, getTemplate, getUrlType, removeParameter, setContextualPath, setDomain, setEncodeSession, setForcedAmpForm, setPath, setPathPrefix, setPort, setScheme, setSecurePort, setTemplate, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WindowURL

    protected WindowURL(HttpServletRequest httpRequest,
                        HttpServletResponse httpResponse)

  Constructs a WindowURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response

### WindowURL

    protected WindowURL(HttpServletRequest httpRequest,
                        HttpServletResponse httpResponse,
                        String windowLabel)

  Constructs a WindowURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `windowLabel` - window label

Method Detail

### createWindowURL

    public static WindowURL createWindowURL(HttpServletRequest httpRequest,
                                            HttpServletResponse httpResponse)

  Returns a WindowURL from the current portlet.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
  Returns
    WindowURL

### createWindowURL

    public static WindowURL createWindowURL(HttpServletRequest httpRequest,
                                            HttpServletResponse httpResponse,
                                            String windowLabel)

  Returns a WindowURL from the specified portlet.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `windowLabel` - window label
  Returns
    WindowURL

### setWindowLabel

    public void setWindowLabel(String windowLabel)

### getWindowLabel

    public String getWindowLabel()

  Returns the window label.

  Returns
    Value of window label, null if not set

### setWindowMode

    public void setWindowMode(String windowMode)

  Sets a portlet window mode.

  Parameters
    `windowMode` - window mode

### getWindowMode

    public String getWindowMode()

  Returns a window mode.

  Returns
    mode

### setWindowState

    public void setWindowState(String windowState)

  Sets window state.

  Parameters
    `windowState` - window state

### getWindowState

    public String getWindowState()

  Returns the window state.

  Returns
    window state

### clone

    public Object clone()

  Returns a deep copy.

  Overrides:
    `clone` in class `PostbackURL`
  Returns
    clone

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved